<id>
din1031:LanguageFileCompare
</id>

<version>
1.0.1
</version>

<edit file>
$boarddir/index.php
</edit file>

<search for>
		'lock' => array('LockTopic.php', 'LockTopic'),
</search for>

<add before>
		'langcompare' => array('LanguageFileCompare.php', 'languageCompare'),
</add before>

<edit file>
$sourcedir/Subs.php
</edit file>

<search for>
	// Admin area 'Maintenance Controls'.
	if (allowedTo('admin_forum'))
	{
</search for>

<replace>
	// Admin area 'Maintenance Controls'.
	if (allowedTo('admin_forum'))
	{
		//Fix a Language Sting, because i will that it work each time, even on not translated Versions!
		if(empty($txt['langCompare_titel']))
			$txt['langCompare_titel'] = 'Language File Compare';
</replace>

<search for>
				'maintain_forum' => '<a href="' . $scripturl . '?action=maintain">' . $txt['maintain_title'] . '</a>',
</search for>

<replace>
				'languageCompare' => '<a href="' . $scripturl . '?action=langcompare">' . $txt['langCompare_titel'] . '</a>',
				'maintain_forum' => '<a href="' . $scripturl . '?action=maintain">' . $txt['maintain_title'] . '</a>',
</replace>

<edit file>
$themedir/Admin.template.php
</edit file>

<search for>
?>
</search for>

<replace>
// Template for Language Compare Select, or Start site... possible that i need this for more things.
function template_LanguageCompareSelect()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	echo '
	<form action="', $scripturl, '?action=langcompare;sa=compare" method="post" accept-charset="', $context['character_set'], '">
		<table border="0" cellspacing="0" cellpadding="4" align="center" width="80%" class="tborder">
			<tr class="titlebg">
				<td colspan="2">'.$txt['langCompare_titel'].'</td>
			</tr>
			<tr class="windowbg2">
				<td>', $txt['langCompare_selectLanguage'],'
					<select name="compare">';
	foreach($context['languages'] as $key => $language) {
		echo '
					<option value="'.$key.'">'.$language['name'].'</option>';
	}
	echo '
					</select>
					<input type="submit" name="submit" value="'.$txt['langCompare_startCompare'].'" />
				</td>
			</tr>
			<tr class="windowbg2">
				<td align="right" colspan="2">
				</td>
			</tr>
		</table>
		<input type="hidden" name="sc" value="', $context['session_id'], '" />
	</form>';
}

// Template for Language Compare only...
function template_LanguageCompare()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	echo '
		<table border="0" cellspacing="0" cellpadding="4" align="center" width="80%" class="tborder">
			<tr class="titlebg">
				<td colspan="2">'.$txt['langCompare_compareWith'].' "<u><b>'. $context['compared_language'] .'</u></b>"</td>
			</tr>';

	//Show the Missing File
	echo '
			<tr class="catbg">
				<td colspan="2">
					'.$txt['langCompare_missingFiles'].'
				</td>
			</tr>';
	if(empty($context['missing_files']))
		echo '
			<tr class="windowbg">
				<td colspan="2">
					'.$txt['langCompare_noMissingFiles'].'
				</td>
			</tr>';
	else {
		$a = true;
		foreach($context['missing_files'] as $item) {
			echo '
			<tr class="windowbg'.($a ? '' : '2').'">
				<td colspan="2">
					'.$txt['langCompare_MissingCopyDir'].' <i>'.$item['current_dir'].'</i><br />
					'.$txt['langCompare_MissingCopyFile'].' <b>'.$item['filename'].'</b>
					'.$txt['langCompare_MissingCopyTo'].' <b>'.$item['renamed'].'</b>
				</td>
			</tr>';
			$a = !$a;			
		}
		echo '
		<tr class="windowbg'.($a ? '' : '2').'">
			<td colspan="2">
				'.$txt['langCompare_MissingCopyInfo'].'
			</td>
		</tr>';
	}
	
	//Show the Missing Strings
	echo '
			<tr class="catbg">
				<td colspan="2">
					'.$txt['langCompare_missingStrings'].'
				</td>
			</tr>';
	if(empty($context['missing_strings']))
		echo '
			<tr class="windowbg">
				<td colspan="2">
					'.$txt['langCompare_noMissingStrings'].'
				</td>
			</tr>';
	else {
		$a = true;
		foreach($context['missing_strings'] as $name => $value) {
			echo '
				<tr class="windowbg'.($a ? '' : '2').'">
					<td colspan="2">
						'.$txt['langCompare_MissingCopyDir'].' <i>'.$context['language_files']['english'][$name]['current_dir'].'</i><br />
						'.$txt['langCompare_inTheFile'].' <b>'.$context['language_files']['english'][$name]['filename'].'</b> 
						'.$txt['langCompare_appearFollowString'].' <b>'.$context['language_files'][$context['compared_language']][$name]['filename'].'</b>
					</td>
				</tr>
				<tr class="titlebg">
					<td align="right">
						'.$txt['langCompare_Variable'].'&nbsp;
					</td>
					<td align="left">
						'.$txt['langCompare_TextString'].'
					</td>
				</tr>';

			$a = !$a;
			foreach($value as $string) {
				echo '
				<tr class="windowbg'.($a ? '' : '2').'">
					<td align="right">
						$'.$string['type'].'[\''.$string['name'].'\']&nbsp;
					</td>
					<td align="left">
						'.$string['string'].'
					</td>
				</tr>';
				$a = !$a;			
			}
			echo '
				<tr class="windowbg'.($a ? '' : '2').'">
					<td colspan="2"><hr /></td>
				</tr>';
		}
		echo '
		<tr class="windowbg'.($a ? '' : '2').'">
			<td colspan="2">
				'.$txt['langCompare_MissingStringInfo'].'
			</td>
		</tr>';
	}
	echo '
		</table>';
}
?>
</replace>